# url

### <mark style="color:orange;">`url(params=Hash)`</mark>

### Platforms

<table><thead><tr><th width="362.78343949044586">Platform</th><th data-type="checkbox">Supported</th></tr></thead><tbody><tr><td>Messenger</td><td>true</td></tr><tr><td>WhatsApp</td><td>true</td></tr><tr><td>Telegram</td><td>true</td></tr></tbody></table>

### Usage

```ruby
@reply.url(
  {
    title: "Follow Kogno on Twitter",
    sub_title: "Get any update from our framework.",
    image: "https://pbs.twimg.com/profile_images/1533726469641338881/Q9dM6DpM_400x400.jpg",
    url: "https://twitter.com/kogno_framework",
    button: "Follow US"
  }
)    
```

### Params

<table><thead><tr><th width="251.57142857142856">Name</th><th>Description</th></tr></thead><tbody><tr><td><mark style="color:orange;"><code>title</code></mark><br>String</td><td><p><strong>Required.</strong></p><p>URL Title</p></td></tr><tr><td><mark style="color:orange;"><code>sub_title</code></mark><br>String</td><td><strong>Optional.</strong><br>Brief description displayed below the title.</td></tr><tr><td><mark style="color:orange;"><code>image</code></mark><br>String</td><td><strong>Required.</strong><br>An image url</td></tr><tr><td><mark style="color:orange;"><code>url</code></mark><br>String</td><td><strong>Required.</strong><br>An image url</td></tr><tr><td><mark style="color:orange;"><code>button</code></mark><br>String</td><td><p><strong>Optional.</strong><br>A button label. </p><p>Not available in WhatsApp.</p></td></tr></tbody></table>

In Messenger can be included two extra parameters: <mark style="color:orange;">`messenger_extensions`</mark> (boolean) and <mark style="color:orange;">`image_aspect_ratio`</mark> (:horizontal or :square). If they are present, the other platforms will just ignore them.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kogno.io/replies-notifications/url.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
